Autor Thema: 2016-08-30 - NetworkManager, Haskell, Plasma 5.7.4 (Unstable Update)  (Gelesen 764 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

Blueriver

  • Moderator
  • *****
  • Beiträge: 1489
  • Dankeschön: 191 mal
  • CPU: AMD Quad Core A8 3,6GHz
  • GPU: AMD/ATI Radeon R7
  • Kernel: 4.18
  • DE: LXQT und XFCE Stable, Testing, Unstable
  • GPU Treiber: Free
Hi community,

Since we managed to put out our second final review of Manjaro Ellada, we are already working on our next release we codenamed Fringilla. With this update we try to fix the known networkmanager issues, updated Plasma to 5.7.4, added some Haskell packages and updated all our settings for Manjaro-tools 0.13.5.

Archlinux upstream fixes are now from: Thu Aug 30 21:28 CEST 2016.

Please report any issues you may have with this update. Also read our troubleshoots to avoid known issues. Additional it would be good to test one of our preview install medias to check these changes on a fresh install.

Kind regards,
Philip Müller and the Manjaro Development Team


Troubleshoots

Issues with updating MATE

Some users have mate-menu installed from AUR. Please remove this package if you use the GTK2 version of MATE before trying to update. If you have a different issue with updating, please post.

LibreOffice and GTK3

LibreOffice might be broken on gtk-based Desktop Environments. Workaround would be to force a look to Libreoffice by editing /etc/profile.d/libreoffice*sh. We recommend to uncomment SAL_USE_VCLPLUGIN=gtk. Our KDE edition isn't affected by this issue.

GTK3

With this we updated Gnome and GTK to 3.20. This will break most of the themes, which will be fixed if and when their developers decide to update them. Some GTK 3.20-compliant themes are ready now - see further down this post.

The new default Manjaro GTK theme, which is GTK 3.20 compatible, is Vertex-Maia

sudo pacman -Sy vertex-maia-themes vertex-maia-icon-theme xcursor-maia

KDE users should default to Maia theme:

sudo pacman -Sy maia-icon-theme gtk-theme-maia plasma5-themes-maia xcursor-maia


QT apps style with GTK - only needed for non-KDE desktop environments!

With QT 5.7 you need to install qt5-styleplugins and qt5ct and configure your system to have an unified look again.


ufw

If you have issues with ufw not working anymore, you have to copy your custom rules to a different folder. Do it like this:

sudo cp -v /usr/lib/ufw/user.rules.pacsave /etc/ufw/user.rules
sudo cp -v /usr/lib/ufw/user6.rules.pacsave /etc/ufw/user6.rules


steam

Steam might not work due incompatiblity of libgpg. You my try followed command to "fix" it:

find ~/.steam/root/ \( -name "libgcc_s.so*" -o -name "libstdc++.so*" -o -name "libxcb.so*" -o -name "libgpg-error.so*" \) -print -delete

find ~/.local/share/Steam/ \( -name "libgcc_s.so*" -o -name "libstdc++.so*" -o -name "libxcb.so*" -o -name "libgpg-error.so*" \) -print -delete

Reference: Archlinux wiki


Current supported kernels
Linux310 3.10.102
Linux312 3.12.62
Linux314 3.14.77
Linux316 3.16.37
Linux318 3.18.40
Linux41 4.1.31
Linux44 4.4.19
Linux46 4.6.7 [EOL]
Linux47 4.7.2
Linux-RT-LTS 4.4.17_rt25
Linux-RT 4.6.7_rt11

Quelle
Manjaro LXQT und XFCE Stable, Testing, Unstable
CPU: AMD Quad Core A8 3,6GHz
Graka: AMD/ATI Radeon R7
Treiber: Free
Kernel: 4.18